<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 03/24/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-chk_regs.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Check new registrations                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Neue Anmeldungen pruefen                         *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!IS_ADMIN())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR ("admin", basename(__FILE__));

// Check for accounts
$query = SQL_QUERY("SELECT userid, gender, surname, family, email, REMOTE_ADDR, refid, user_hash FROM "._MYSQL_PREFIX."_user_data WHERE status='UNCONFIRMED' ORDER BY userid", __FILE__, __LINE__);

if (SQL_NUMROWS($query) > 0) {
	// We have some (new?) registrations!
	$SW = 2; $OUT = "";
	while (list($uid, $gender, $sname, $fname, $email, $IP, $ref, $hash) = SQL_FETCHROW($query)) {
		if ($ref > 0) $ref = ADMIN_USER_PROFILE_LINK($ref);
		// Prepare array for the row template
		$content = array(
			'sw'     => $SW,
			'gender' => TRANSLATE_GENDER($gender),
			'sname'  => $sname,
			'fname'  => $fname,
			'email'  => "<A href=\"".CREATE_EMAIL_LINK($email, "user_data")."\">".$email."</A>",
			'ip'     => $IP,
			'ref'    => $ref,
			'hash'   => $hash,
			'link'   => ADMIN_USER_PROFILE_LINK($uid),
		);

		// Load row template and switch color
		$OUT .= LOAD_TEMPLATE("admin_reg_row", true, $content);
		$SW = 3 - $SW;
	}

	// Free memory
	SQL_FREERESULT($query);
	define('__REG_ROWS', $OUT);

	// Load main template
	LOAD_TEMPLATE("admin_reg");
} else {
	// No registrations left - or all has confirmed their email address... :-)
	LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_ALL_CONFIRMED_EMAIL);
}

//
?>
