<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/12/2004 *
 * ================                             Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_bank_package.php                       *
 * -------------------------------------------------------------------- *
 * Short description : List packages                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Listet Angebotspakete auf                        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!is_admin())) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} // END - if

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Check if there is enougth selected
$show = true;
if ((isset($_POST['id'])) && (is_array($_POST['id'])) && (count($_POST['id']) > 0)) {
	// Okay, which button was pressed?
	if (isset($_POST['change'])) {
		// Change permissions
		ADMIN_CHANGE_ACTIVATION_STATUS($_POST['id'], "bank_packages", "package_active");
	} elseif (isset($_POST['edit'])) {
		// Delete entries (with confirmation)
		ADMIN_EDIT_ENTRIES_CONFIRM(
			$_POST['id'],
			"bank_packages",
			array("id", "title", "description", "account_fee", "free_transfers", "transfer_fee", "output_system_mode", "package_active", "free_months_no_fee", "interest_plus", "interest_minus", "first_payment", "free_account_income", "free_account_stuff", "tan_lock"),
			array("bigintval", "", "", "TRANSLATE_COMMA", "bigintval", "TRANSLATE_COMMA", "", "", "bigintval", "TRANSLATE_COMMA", "TRANSLATE_COMMA", "TRANSLATE_COMMA", "TRANSLATE_COMMA", "", "bigintval"),
			array("", "", "", "", "", "", "", "", "", "", "", "", "", "", "")
		);
		$show = false;
	} elseif (isset($_POST['do_edit'])) {
		// Delete entries (with confirmation)
		ADMIN_EDIT_ENTRIES_CONFIRM($_POST['id'], "bank_packages", array(), array(), array(), true);
	} elseif (isset($_POST['delete'])) {
		// Delete entries (with confirmation)
		ADMIN_DELETE_ENTRIES_CONFIRM($_POST['id'], "bank_packages", array("id", "title", "description", "account_fee"), array("bigintval", "", "", "TRANSLATE_COMMA"), array("", "", "", ""));
		$show = false;
	} elseif (isset($_POST['remove'])) {
		// Delete entries (with confirmation)
		ADMIN_DELETE_ENTRIES_CONFIRM($_POST['id'], "bank_packages", array(), array(), array(), true);
	}
} // END - if

// Skip showing old entries?
if (!$show) return;

// Load all banking packages from DB
$result = SQL_QUERY("SELECT id, title, description, account_fee AS 'fee', package_active AS 'active', interest_plus AS 'plus', interest_minus AS 'minus'
FROM "._MYSQL_PREFIX."_bank_packages
ORDER BY id", __FILE__, __LINE__);

// Is there at lease one package?
if (SQL_NUMROWS($result) > 0) {
	// List all packages
	$OUT = ""; $SW = 2;
	while ($content = SQL_FETCHARRAY($result)) {
		// "Translate" some data
		$content['active'] = TRANSLATE_YESNO($content['active']);
		$content['fee']    = TRANSLATE_COMMA($content['fee']);
		$content['plus']   = TRANSLATE_COMMA($content['plus']);
		$content['minus']  = TRANSLATE_COMMA($content['minus']);
		$content['sw']     = $SW;

		// Load row template
		$OUT .= LOAD_TEMPLATE("admin_list_bank_package_row", true, $content);
		$SW = 3 - $SW;
	} // END - while

	// Prepare row(s) for output to template
	define('__BANK_PACKAGE_ROWS', $OUT);

	// Load main template
	LOAD_TEMPLATE("admin_list_bank_package");
} else {
	// No packages found!
	LOAD_TEMPLATE("admin_settings_saved", false, ADMIN_BANK_NO_PACKAGES_FOUND);
}

// Free the result
SQL_FREERESULT($result);

//
?>
