<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 04/20/2004 *
 * ===============                              Last change: 01/07/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : reset_daily.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Things to do on daily reset                      *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Dinge, die beim taeglichen Reset erledigt werden *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Update user profiles
if (GET_EXT_VERSION("order") >= "0.1.1") {
	// Latest version
	$result_daily = SQL_QUERY("UPDATE "._MYSQL_PREFIX."_user_data SET receive_mails=max_mails, mail_orders=0 WHERE receive_mails != max_mails", __FILE__, __LINE__);
} else {
	// Obsolete version
	$result_daily = SQL_QUERY("UPDATE "._MYSQL_PREFIX."_user_data SET receive_mails=max_mails WHERE receive_mails != max_mails", __FILE__, __LINE__);
}

// Transfer points from locked_points to points
$result_daily = SQL_QUERY("SELECT userid FROM "._MYSQL_PREFIX."_user_data WHERE ref_payout=0 AND status='CONFIRMED' ORDER BY userid", __FILE__, __LINE__);

//* DEBUG: */ echo basename(__FILE__).":payout=0;daily|numRows=".SQL_NUMROWS($result_daily)."<br />\n";
if (SQL_NUMROWS($result_daily) > 0)
{
	// Start checking accounts which are on 0 confirmed-to-go mails
	while (list($uid) = SQL_FETCHROW($result_daily))
	{
		//* DEBUG: */ echo basename(__FILE__).":uid={$uid}<br />\n";
		$result_points = SQL_QUERY_ESC("SELECT ref_depth, locked_points FROM "._MYSQL_PREFIX."_user_points
WHERE userid=%s AND locked_points != 0.00000 ORDER BY ref_depth",
		 array(bigintval($uid)), __FILE__, __LINE__);
		//* DEBUG: */ echo basename(__FILE__).":payout=0;points|numRows=".SQL_NUMROWS($result_points)."<br />\n";
		if (SQL_NUMROWS($result_points) > 0)
		{
			// Ok transfer points
			while (list($dep, $locked) = SQL_FETCHROW($result_points))
			{
			//* DEBUG: */ echo basename(__FILE__).":uid={$uid},depth={$dep},locked={$locked}<br />\n";
				$result_update = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_points SET points=points+%s, locked_points=0.00000
WHERE userid=%s AND ref_depth=%d LIMIT 1",
				 array($locked, bigintval($uid), $dep), __FILE__, __LINE__);

				// Update mediadata as well
				if (GET_EXT_VERSION("mediadata") >= "0.0.4")
				{
					// Update database
					MEDIA_UPDATE_ENTRY(array("total_points"), "add", $locked);
				}
			}
		}

		// Free memory
		SQL_FREERESULT($result_points);
	}
}

// Free memory
SQL_FREERESULT($result_daily);

// Save config value for later references
$_CONFIG['last_update'] = time();

// Update database
UPDATE_CONFIG("last_update", time());

//
?>
