<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 12/10/2005 *
 * ===============                              Last change: 12/10/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : reset_holiday.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Things to be done on daily reset                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Dinge, die beim taeglichen Reset erledigt werden *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("holiday")) && (!IS_ADMIN())) {
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "holiday");
	return;
}

// Do not execute when script is in CSS mode or no daily reset
if (($CSS == 1) || (GET_EXT_VERSION("holiday") == "") || ((!defined('__DAILY_RESET')) && ($_CONFIG['holiday_mode'] == "RESET"))) return;

// Check for holidays we need to enable and send email to user
$result_main = SQL_QUERY("SELECT userid, holiday_activated FROM "._MYSQL_PREFIX."_user_data
WHERE holiday_activated > 0 AND holiday_activated < UNIX_TIMESTAMP() AND holiday_active='N'
ORDER BY holiday_activated", __FILE__, __LINE__);
if (SQL_NUMROWS($result_main) > 0) {
	// We have found at least one useraccount so let's check it...
	while(list($uid, $activated) = SQL_FETCHROW($result_main)) {
		// Check if his holiday can be activated
		$result_holiday = SQL_QUERY_ESC("SELECT holiday_start, holiday_end FROM "._MYSQL_PREFIX."_user_holidays
WHERE userid=%s AND holiday_start <= UNIX_TIMESTAMP() AND holiday_end > UNIX_TIMESTAMP() LIMIT 1",
 array(bigintval($uid)), __FILE__, __LINE__);
		if (SQL_NUMROWS($result_holiday) == 1)
		{
			// Okay, this user can be send away to holiday...
			list($start, $end) = SQL_FETCHROW($result_holiday);

			// Prepare all data for the template
			$content = array(
				'activated' => MAKE_DATETIME($activated, "1"),
				'start'     => MAKE_DATETIME($start    , "1"),
				'end'       => MAKE_DATETIME($end      , "1")
			);

			// Send email to user
			$msg = LOAD_EMAIL_TEMPLATE("member_holiday_activated", $content, $uid);
			SEND_EMAIL($uid, HOLIDAY_MEMBER_ACTIVATED, $msg);

			// Update account
			$result_update = SQL_QUERY_ESC("UPDATE "._MYSQL_PREFIX."_user_data SET holiday_active='Y'
WHERE userid=%s LIMIT 1", array(bigintval($uid)), __FILE__, __LINE__);
		}

		// Free memory
		SQL_FREERESULT($result_holiday);
	}
}

// Free memory
SQL_FREERESULT($result_main);

// Stop currently activated holidays
HOLIDAY_STOP_HOLIDAYS();

//
?>
